Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Doug Bissett

Pages: [1] 2 3 ... 103
1
Setup & Installation / Re: UEFI Boot Manager for 5.1
« on: May 17, 2022, 06:22:15 pm »
Hi

I have a related doubt here. From what I understand on GPT partitioned HDD, AiR-BOOT will no longer work. AiR-BOOT is only for MBR, right? or did I get it wrong?

Regards

You are correct. Air Boot does not work with GPT. It is one of the things that needs to be replaced by a different boot manager.

2
Quote
there's no options related to operating system in bios, as i said, this is a PS/2 and it's supposed to be supported by warp 3.
the only bios option i know about OS/2 is related to ram over 64MB. pre warp 4 need it, warp 4 and above not.
and of course, it's not the problem here, as it's a 386sx bus, maximum is 16MB.

That is the setting that needs to change.

3
Been a long time for me since I have run Warp 3 but I think there is something or somethings you may have to turn off in the Bios. anyone remember?

If I remember correctly, early Warp 3 needed to have a BIOS setting (something about booting OS/2 warp) set on, and later versions (including later Warp 3 fix packs) needed that set off. Try both ways, if you find it.

4
Please check your incident in Mantis. Apparently there was a discrepancy in your e-mail address, that may have been incorrectly fixed. That can mean that you don't get notified of updates to the incident.

For anybody following this, it looks like one of the data separator characters got changed to a semi-colon, somehow.

5
Well, first, make a backup, so you don't end up with worse problems. Of course, you could simply restore the file from a backup, if you have one (you do backup, of course).

Realize, that even if it is called ADDR.DB, it is NOT a database file. It is a plain text file. If you look in the Help, you will find a section that describes the data format (Address Book Data Format). Be sure to read the Note at the bottom of the page.

Now that you know the data layout, you should be able to open the file (in the text editor), and you will likely spot where something went wrong.

If you go to http://www.os2voice.org/mailinglists.html you can subscribe to the PMMail/2 User mail list, when PMMail users hang out. That is the best place to get help with PMMail problems. It is pretty low volume.

6
Applications / Re: Java applications
« on: May 14, 2022, 08:58:22 pm »
Quote
Good to know that it runs on a singe processor system, but my system is about 16 years old and behind for more modern disks.

16 years is not "old". I test ArcaOS, with a few systems that are older  (including the Dell, which I am using to post this). I wouldn't want to be using any of them as my main machine. I do use one of them as an ArcaOS based NAS box. I got a SATA adapter, and now have a 2 TB SATA disk, for storage, and a SATA SSD for the boot system. It has 1 GB memory, a gigabit NIC, and a single P4 processor. It is a little slow (the bus speed, for the SATA card, is only 1.5 Gbs), but it does the job.

7
Applications / Re: Java applications
« on: May 14, 2022, 07:27:03 pm »
Quote
That's it for short. I'm watching these pages in order to find out when there is a new OS/2 (whatever they call it) and then find a system on which it  can run.

Well, ArcaOS 5.1 is well down the road to being released. The testing includes "NLV availability:    EN, CN, DE, ES, FR, IT, JA, KO, NL, TW" (RU is supposed to be there too, but is currently "broken", in more than one way). The Russian situation has caused delays.

I test ArcaOS 5.1 on single processor machines. Even Dooble (with known faults) runs pretty well on a 500 MB machine with single processor (Dell Dimension 4300 series, which is definitely JUNK). Dooble is slow (about the same as Firefox), but it works as well as it does on more capable machines (very limited testing).

ArcaOS is NOT going to work with an ARM processor. It must be x86 capable.

I keep track of when freinds, and relatives, get totally disgusted with windows performance and replace a perfectly good machine (usually less than 5 years old). Most of them can be used for OS/2, and most of the time, they give them to me, just to get rid of them.

8
Quote
With the latest versions of VirtualBox, the shared clipboard no longer works from the ArcaOS guests. Has anyone else seen this? Since I've started using my own installer for the Guest Additions, I'm wondering if there is some issue there.

I tried with VBox 6.1.34. First, with an older additions (not sure which one), then after installing the matching release. Both work as expected.

Win 10 host, and ArcaOS 5.0.4 guest. In VBox settings General-> Advanced, Shared Clipboard is Bidirectional.

Anything in POPUPLOG.OS2?

9
Applications / Re: Test build of dooble with qt5
« on: May 11, 2022, 07:43:53 pm »
Dave that is the only thing that resetting the cookies will not work on my system. I can't log in If I wish to post or anything I have to use Firefox (your last build).

You probably also need to use File-> Authentication, which makes the whole thing more difficult. I have just been entering the login information, for OS2world, and it works as well as anything else does.

It is a learning curve, and the rules are not quite the same as what we are used to.

@Dave (or anybody else): You seem to have this figured out. How do you get it to ask for authentication when you log into Dooble? How can you make more than one profile (if you want to)? Is there a way to automatically enter authentication?

10
Setup & Installation / Re: VirtualBox and Warpin (wic.exe)
« on: May 11, 2022, 07:27:56 pm »
Quote
May I ask how the VirtualBox Additions WarpIN installer is going?

A few years ago, I buit a WapIN installer for VBox additions. It was easy to do, but totally useless.

There were two major problems:

1) You cannot get the files until after they are released. Meaning you need to watch for an update, extract the files, turn them into a WarpIN installer, within minutes of a new VBox being released.

2) Oracle has no interest in adding anything to their distribution of VBox, so users need to get the WaprIN installer from somewhere else.

A more minor problem, is that installing the addirions is not suited to using a WarpIN installer. It is better done with a REXX script. I have a REXX script that does part of the job (just do what the instructions say to do), but I haven't updated my script to handle the shared folder support.

Quote
I'd probably just use LIBPATH to get the VirtualBox drivers to be used instead of the preinstalled one, and I don't know how supported that actually is (seems to work on OS/2 Warp 4.52, at least).

That is okay, if you always make sure that the code is available, but if the CD (or image) gets unmounted, it could be trouble. Drivers don't follow LIBPATH anyway, so other things need to be done to get all of it done properly. Probably easier to just follow the instructions, and do it properly in the first place.

Quote
I also am unsure of when the libc stuff should be used or not.

LIBC should onlu be handled by RPM/YUM (use ANPM to simplify that). The LIBC stuff, that is in the additions, is usually out of date, and installing that can down level what is already installed. Remember that you are updating stuff in OS/2, not the host, and you need to use OS/2 tools to do it, using the additions (other than LIBC) from the VBox additions CD (or image).

Also remeber, that the OS/2 additions are not necessarilly updated at each VBox relese, even though the version might change. That doesn't really matter, you should still do the update, to be sure that you have the latest stuff.

11
Applications / Re: Apache Open Office 4.1.8 Crash
« on: May 09, 2022, 06:57:05 am »
Quote
The ReadMe for 4.1.11 states "Do not install this version over an existing installation."  I do not recall whether the same warning was diaplayed when I installed 4.1.8 - possibly over a previous version.

Did you uninstall or delete your previous version before installing 4.1.11?

The 4.1.8 version did say that. I suspect that it means don't install over a pre 4.x version, but it is painless to follow directions (and less likely that you will be refused help if it doesn't work for some reason). Since you likely installed it using WarpIN, use WarpIN to uninstall it. It is probably a good idea to install all of the requirements, before installing AOO 4.1.11. Leave your data where it is.

I have installed over the older 4.x versions (on a test system), with no troubles, but that isn't what the instructions say.

12
Internet / Re: Dooble Browser rendering - missing characters
« on: May 08, 2022, 10:37:52 pm »
I have wondered if it is actually a "picture", but it is not selectable. Note that the logo (in the yellow part), is also missing. I haven't noticed anything else missing. I assume that usable fonts are installed, because Firefox renders it correctly.

13
Applications / Re: Apache Open Office 4.1.8 Crash
« on: May 08, 2022, 08:48:53 pm »
I think I would be looking for duplicate copies of DLLs, in places where they shouldn't be.

14
Internet / Re: Dooble Browser rendering - missing characters
« on: May 08, 2022, 08:41:11 pm »
I had better results, when I installed the DejaVu fonts before installing Dooble. At least it picked the proper fonts. I still have one web site, that has missing characters (see image). I suspect that the font is downloaded from the web site, and Dooble doesn't render it properly.

One picture shows what Dooble does. The other shows what Firefox does.


15
Applications / Re: Apache Open Office 4.1.8 Crash
« on: May 07, 2022, 07:15:03 pm »
Quote
I went down this path, deployed 4.1.11 with all the appropriate pre-requisite RPM package updates....only to find out that 4.1.11 turned out to be abysmally slow openning up any of my spreadsheets, as well as few other documents.

Personally, I think 4.1.11 opens spredsheets (and other things) faster than the older versions. Use Appache OpenOffice Quick Start, with the "-calc" (and others as needed) parameter, in a startup folder, and it will open quickly. AOO 4.1.11 fixed a couple of other problems, for me. It still has some problems because of our antique JAVA, but performance is quite good. You should also use the Extras-> Enable High mem tool, to mark, at least code (I use code&data) to load high. Loading high can have problems unloading if you don't have the ArcaOS fixed kernel (only licensed for use with ArcaOS). Using Quick Start helps to work aeound that problem too, because it keeps the code from unloading.

Pages: [1] 2 3 ... 103